extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Smart Select Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Smart Select Vue Component
      script(src="/js/motion/smartselect.js")
      f7-motion-smartselect(motion)

    p Smart Select allows you to easily convert your usual form selects to dynamic pages with grouped radio inputs. You can see such feature in many native apps.
    p It is not a separate Vue component, but just a particular case of using <a href="list-view.html">&lt;f7-list&gt;</a> and <a href="list-item.html">&lt;f7-list-item&gt;</a> components with Framework7's <a href="../docs/smart-select.html">Smart Select</a> component.

    h2 Smart Select Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          th(colspan="4") &lt;f7-list-item&gt;  properties
        tr
          td smart-select
          td boolean
          td
          td Enables Smart Select behavior
        tr
          td smart-select-params
          td object
          td
          td Object with <a href="../docs/smart-select.html#smart-select-parameters">Smart Select Parameters</a>


    h2 Examples
    +examplePreview('vue', 'smart-select.vue', 'smart-select')
